org.apache.lucene.queryParser.standard.config

## Class MultiTermRewriteMethodAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.queryParser.standard.config.MultiTermRewriteMethodAttributeImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, MultiTermRewriteMethodAttribute, org.apache.lucene.util.Attribute

      public class MultiTermRewriteMethodAttributeImpl
      extends org.apache.lucene.util.AttributeImpl
      implements MultiTermRewriteMethodAttribute

  This attribute is used by `ParametricRangeQueryNodeProcessor` processor and should be defined in the `QueryConfigHandler` used by this processor. It basically tells the processor which `MultiTermQuery.RewriteMethod` to use.
  See Also:
    `MultiTermRewriteMethodAttribute`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.queryParser.standard.config.MultiTermRewriteMethodAttribute

      `TAG_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiTermRewriteMethodAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `copyTo(org.apache.lucene.util.AttributeImpl target)`
    `boolean` | `equals(java.lang.Object other)`
    `org.apache.lucene.search.MultiTermQuery.RewriteMethod` | `getMultiTermRewriteMethod()`
    `int` | `hashCode()`
    `void` | `setMultiTermRewriteMethod(org.apache.lucene.search.MultiTermQuery.RewriteMethod method)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiTermRewriteMethodAttributeImpl

          public MultiTermRewriteMethodAttributeImpl()

  - ### Method Detail

    - #### setMultiTermRewriteMethod

          public void setMultiTermRewriteMethod(org.apache.lucene.search.MultiTermQuery.RewriteMethod method)

      Specified by:
        `setMultiTermRewriteMethod` in interface `MultiTermRewriteMethodAttribute`

    - #### getMultiTermRewriteMethod

          public org.apache.lucene.search.MultiTermQuery.RewriteMethod getMultiTermRewriteMethod()

      Specified by:
        `getMultiTermRewriteMethod` in interface `MultiTermRewriteMethodAttribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `org.apache.lucene.util.AttributeImpl`

    - #### copyTo

          public void copyTo(org.apache.lucene.util.AttributeImpl target)

      Specified by:
        `copyTo` in class `org.apache.lucene.util.AttributeImpl`

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in class `org.apache.lucene.util.AttributeImpl`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `org.apache.lucene.util.AttributeImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.